Get an attachment
curl --request GET \
--url https://api.gospott.com/attachments/{id} \
--header 'x-api-key: <api-key>'import requests
url = "https://api.gospott.com/attachments/{id}"
headers = {"x-api-key": "<api-key>"}
response = requests.get(url, headers=headers)
print(response.text)const options = {method: 'GET', headers: {'x-api-key': '<api-key>'}};
fetch('https://api.gospott.com/attachments/{id}', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
{
"id": "<string>",
"name": "<string>",
"type": {
"id": "<string>",
"name": "<string>"
},
"createdAt": "2023-11-07T05:31:56Z",
"expiryDate": "2023-11-07T05:31:56Z",
"validFrom": "2023-11-07T05:31:56Z",
"customAttributes": [
{
"attributeDefinitionId": "<string>",
"label": "<string>",
"value": {
"viewType": "customText",
"text": "<string>"
}
}
]
}{
"status": 0,
"message": "<string>",
"requestId": "<string>",
"errors": [
{
"code": "REQUIRED",
"path": "<string>",
"message": "<string>",
"received": "<unknown>"
}
]
}{
"status": 0,
"message": "<string>",
"requestId": "<string>"
}{
"status": 0,
"message": "ATTACHMENT_NOT_FOUND",
"requestId": "<string>",
"statusCode": 404,
"error": "Not Found"
}{
"status": 0,
"message": "<string>",
"requestId": "<string>"
}Attachments
Get an attachment
Returns an attachment with its type, validity window (validFrom and expiryDate), and the custom attributes linked to its type, including their current values. Covers every attachment that POST /attachments/_search can return, including recordings and credit reports, whose type is reported as null. Attachments used internally by the platform are treated as not found.
GET
/
attachments
/
{id}
Get an attachment
Authorizations
API key for authentication. Get your API key from Settings → API Keys in your Spott dashboard.
Path Parameters
Response
The attachment with its custom attributes.
- Option 1
- Option 2
Show child attributes
Show child attributes
Pattern:
^(?:(?:\d\d[2468][048]|\d\d[13579][26]|\d\d0[48]|[02468][048]00|[13579][26]00)-02-29|\d{4}-(?:(?:0[13578]|1[02])-(?:0[1-9]|[12]\d|3[01])|(?:0[469]|11)-(?:0[1-9]|[12]\d|30)|(?:02)-(?:0[1-9]|1\d|2[0-8])))T(?:(?:[01]\d|2[0-3]):[0-5]\d(?::[0-5]\d(?:\.\d+)?)?(?:Z))$Pattern:
^(?:(?:\d\d[2468][048]|\d\d[13579][26]|\d\d0[48]|[02468][048]00|[13579][26]00)-02-29|\d{4}-(?:(?:0[13578]|1[02])-(?:0[1-9]|[12]\d|3[01])|(?:0[469]|11)-(?:0[1-9]|[12]\d|30)|(?:02)-(?:0[1-9]|1\d|2[0-8])))T(?:(?:[01]\d|2[0-3]):[0-5]\d(?::[0-5]\d(?:\.\d+)?)?(?:Z))$Pattern:
^(?:(?:\d\d[2468][048]|\d\d[13579][26]|\d\d0[48]|[02468][048]00|[13579][26]00)-02-29|\d{4}-(?:(?:0[13578]|1[02])-(?:0[1-9]|[12]\d|3[01])|(?:0[469]|11)-(?:0[1-9]|[12]\d|30)|(?:02)-(?:0[1-9]|1\d|2[0-8])))T(?:(?:[01]\d|2[0-3]):[0-5]\d(?::[0-5]\d(?:\.\d+)?)?(?:Z))$Show child attributes
Show child attributes
Was this page helpful?